Single Edit Tab global default change
Closed, DeclinedPublic

Description

Change wmf-config/InitialiseSettings.php wmgVisualEditorSingleEditTabSecondaryEditor default from false to true. Individual wikis can still be set to false, if the local community so desires.

This will set the Single Edit Tab default for new users to wikitext editor.

EnWiki was set to false per community discussion (T132806). I stumbled across a Polish wiki request open unanimously requesting this change. (permalink.) I consider it very possible, and even likely, that other community requests have gone been overlooked and inadvertently ignored by the WMF.

Polish wiki should clearly be changed as a community request. If there is any question regarding changing the global default, I would be willing to do the work of opening discussions on several major wikis to determine if there is a genuine global consensus on the question. However I am fairly confident of the outcome, and it would be much simpler if we can agree on the expected result.

Alsee created this task.Feb 25 2017, 7:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2017, 7:45 AM
Liuxinyu970226 awarded a token.EditedFeb 26 2017, 11:03 AM
Liuxinyu970226 added a subscriber: Liuxinyu970226.

Please also show both VE and Wikitext editor tag by default when enabling for all users on zhwiki, per https://zh.wikipedia.org/wiki/Wikipedia:互助客栈/消息/存档/2016年1月#VisualEditor_News_.236.E2.80.942015

Can you explain how this is different from T102398?

Alsee added a comment.Mar 7 2017, 7:00 PM

Can someone please provide some sort of a response here?

P.S. I added the tags that were on the similar Single Edit Tab task T132806.

Alsee added a comment.EditedMar 7 2017, 7:14 PM

Can you explain how this is different from T102398?

Wow, we posted at the exact same minute. Anyway...
I think the task description here is pretty explicit, and I'm not sure what/why you are asking. The global default is currently "false". The task here is a trivial edit to "true".

There is an explicit community request for this to be changed on Polish Wiki, which clearly warrants action. This was changed for EnWiki per WMF-Community discussion. I believe the good faith expectation is that this is the broadly cross-wiki expectation. If T102398 is intended to set the global default to "true", then there is clearly a bug here that has not been addressed during the life of T102398. It's a bug can be trivially fixed with 4-letter edit. Fixing the bug would be quicker than commenting about it on here. The change could just roll out "for free" along with the next thing that's updated.

T102398 is not complete yet (which is why it's open). Providing a single edit tab is indeed the objective of that task. It has a number of significant blockers. I don't understand if you're asking for that task or something else?

Alsee added a comment.Mar 7 2017, 7:40 PM

The task is a four letter edit.

https://noc.wikimedia.org/conf/highlight.php?file=InitialiseSettings.php

// Whether the wikitext editor should be the default (first-open) editor on SET wikis
'wmgVisualEditorSingleEditTabSecondaryEditor' => [
	'default' => false

to:

	'default' => true
Elitre added a subscriber: Elitre.Mar 14 2017, 3:49 PM
Elitre removed a subscriber: Elitre.
Alsee added a comment.Mar 16 2017, 9:23 AM

@Jdforrester-WMF, it's been almost three weeks since I opened this bug. Can I get an answer on this?
You said VE wouldn't be imposed as the SingleEditTab default without asking the community. You said it was a bug that SingleEditTab was deployed with a VE default. EnWiki was fixed to wikitext default, per discussion with the community. And now PolishWiki has a unanimous consensus asking for SingleEditTab to have a wikitext default.

At a minimum are you going to fix this bug on PolishWiki?
And beyond that, can we get the global default fixed as well, per a good faith expectation that this is what the rest of the community wants as well? Or do you require more community consensuses to that effect?

There's clearly no consensus on Polish wiki. The forum you link to is the technical room of Polish Wikipedia's bar/teahouse, it's used mainly to fix technical problems. Hence there's only five votes there, most over a year old (and we can't be sure if the problems raised weren't solved in the meantime). It's nowhere near a wiki-wide consensus.

Alsee added a comment.Mar 27 2017, 5:48 PM

@Halibutt : While the comments were posted "last year", they are not over a year old. They were 3 months old when I opened this Phab, and now 4 months old. Your oppose and the new responses, it looks like 6-1. Would you like to open a more formal consensus-process to get a more formal result?

And now PolishWiki has a unanimous consensus asking for SingleEditTab to have a wikitext default.

That's not true.

Alsee added a comment.Mar 28 2017, 4:53 AM

The discussion was unanimous when I posted it. Now one person has disagreed.

Elitre added a subscriber: Elitre.Apr 12 2017, 4:46 PM
Halibutt added a comment.EditedApr 14 2017, 10:55 PM

Alsee, the place you link to is not the right place to discuss such changes, which is why barely anyone took part in the discussion (apart from people who generally oppose any technical improvements, that is). Hence one person voting against the use of Flow on Polish Wikipedia (yup!), two people reporting bugs there in this thread and so on. If you really want to start a format consensus process, use the main BAR rooms, not the technical room used mostly for bug reporting.

I voiced my opposition only after I realised you're misrepresenting that thread as a consensus for some changes. Which it is not.

If you really want to start a format consensus process, use the main BAR rooms, not the technical room used mostly for bug reporting.

I don't speak Polish. I happened to spot it in Google Translate, and brought it here. We were only able to get the WMF to fix this on EnWiki after we wrote a patch for the sitewide javascript, and were were going to run an RFC to deploy it. I see you speak Polish, if you think a more formal discussion in BAR would be better, that would be swell.

I voiced my opposition only after I realised you're misrepresenting that thread as a consensus for some changes. Which it is not.

Let's discuss the massive double standard here. Jdforrester and other staff gave repeated assurances that SingleEditTab deployment was not going to be hijacked to push out a Visual Editor default. Jdforrester explicitly stated that would not be done without asking the community first. When SingleEditTab was deployed as a VE-default, Jdforrester stated it was a bug.

We can look at this two ways. People are objecting to the VE-default, but you say it's not actually a consensus for change. Okey. There was no consensus for pushing out the Visual Editor default in the first place. We can simply reword this task as rolling back that change which was made without consensus.

Or we can restate this as a request to fix a WMF-acknowledged-bug. Multiple people are complaining about the bug. Since when do we need to run a formal consensus asking for an explicit-bug to be fixed??

VE is an insignificant secondary editor, used for ~5% of all edits. The WMF ran a controlled study on the effects of visual editor, showing that it provided zero benefit to new users and finding notable negative effects. Is there anyone here who honestly thinks that a majority of the general global editing community wants VE to be made the default? If some community wants to request that, fine. But I do not believe the current global default setting is a good-faith reflection of what most communities want.

As I said in the original task description, we can run RFCs in a variety of languages to formally determine what the general global community position is. My hope is that we can come to good faith agreement on what the result will be, skipping that mass-effort.

The WMF ran a controlled study on the effects of visual editor, showing that it provided zero benefit to new users and finding notable negative effects. Is there anyone here who honestly thinks that a majority of the general global editing community wants VE to be made the default?

I don't think anybody's proposing to phase out the code editor, and with single edit tab and easy switching between the two there's really no harm, IMO.

Would love to see the study you mention, never heard of it. It would contradict my own experience. I run many wiki-workshops and editathons for newbies, and IMHO VE was a gamechanger for new users. Back in my early days an average internet user was still accustomed to html, which is why the wikicode was pretty much natural. Nowadays it's as natural to your average university student as Morse code. With VE I can show them how to edit Wikipedia in a matter of minutes, with wikicode it takes considerably much more time and effort. Plus I use it myself very often (mostly, actually), even though I'm not a new user myself (actually, with over 13 years under my belt I'm one of the oldest). But it's all anecdata, of course.

VE is an insignificant secondary editor, used for ~5% of all edits.

Not on Polish Wikipedia, apparently.

Dereckson renamed this task from Single Edit Tab global default change to Single Edit Tab global default change on pl.wikipedia.Apr 16 2017, 9:09 PM
Dereckson renamed this task from Single Edit Tab global default change on pl.wikipedia to Single Edit Tab global default change.
Dereckson triaged this task as Low priority.
Dereckson added a subscriber: Dereckson.

According the comments above, it's not clear there is consensus for this move. @Alsee You can perhaps open a discussion on meta. to get more input?

Alsee added a comment.May 21 2017, 3:26 PM

The WMF ran a controlled study on the effects of visual editor, showing that it provided zero benefit to new users and finding notable negative effects. Is there anyone here who honestly thinks that a majority of the general global editing community wants VE to be made the default?

Would love to see the study you mention, never heard of it.

Research:VisualEditor's_effect_on_newly_registered_editors/May_2015_study. Results: No change in how many new users made a first edit. No change in new user retention. No change in total contributions. Visual Editing was typically over 6.7 times slower, people were more likely to abandon edits without attempting to save, and attempted saves were less likely to be successful.

Separate from that study: The general percentage of VE edits shows that hardly anyone goes on to use VE as a significant primary editing tool. And then there's the fact that loading wikitext first and switching to VE incurs virtually zero loading time penalty, while loading VE by default imposes a serious loading time penalty even on users trying to reach the wikitext editor. That VE loading time penalty can and does range all the way up to browser time-out errors, disruptively obstructing access to the wikitext editor.

@Halibutt wrote: You can perhaps open a discussion on meta. to get more input?

I guess I'll have to. Can you, or @Jdforrester-WMF, or anyone else confirm that this will be sufficient consensus to get this easy default-edit made to the configuration file?

I haven't decided yet whether to just open a Meta RFC, or whether to start with discussions on multiple major wikis (representing a majority of the global community) to establish specific local preferences.

Alsee added a comment.May 26 2017, 3:48 AM

@Halibutt @Jdforrester-WMF:

I just collected data using the Recent Changes page, set to display the last 5000 edits. Bot edits and logged actions filtered out.

On EnWiki 2% of edits are VE edits.

On Polish Wiki 10% of edits are VE edits.
Of logged-in users, 6% of edits are VE edits.
Of IP users, 43% of edits are VE edits.

On Polish wiki IP editors are being defaulted into VE. Given how rare it normally is for people to change a default, it is a staggering result that a majority of those editors are actively switching out of VE after it loads. It is clear that much of that 43% IP VE edits are new users who have not yet discovered they can switch out of VE, and they they are switching out of VE en-mass as they discover how to do so.

This stealth-deployment of a VE-default for IP and all new users rises to the level of disruptive.

@Halibutt @Jdforrester-WMF:

I just collected data using the Recent Changes page, set to display the last 5000 edits. Bot edits and logged actions filtered out.

On EnWiki 2% of edits are VE edits.

On Polish Wiki 10% of edits are VE edits.
Of logged-in users, 6% of edits are VE edits.
Of IP users, 43% of edits are VE edits.

On Polish wiki IP editors are being defaulted into VE. Given how rare it normally is for people to change a default, it is a staggering result that a majority of those editors are actively switching out of VE after it loads.

Interesting. I would've expected that to be higher. Did you remove all the confounding factors when producing these statistics?

It is clear that much of that 43% IP VE edits are new users who have not yet discovered they can switch out of VE, and they they are switching out of VE en-mass as they discover how to do so.

That is not correct. Quantitative analysis tells you what happened, and qualitative analysis tells you why it happened. One cannot reliably infer user intent from quantitative data.

This stealth-deployment of a VE-default for IP and all new users rises to the level of disruptive.

That is not helpful. We are all here to contribute to the movement. If you attack people like this, they will be less likely to engage with you in the future.

Halibutt added a comment.EditedMay 30 2017, 10:52 PM

@Alsee @Deskana , for reasons I already pointed out here, the methodology is flawed. I'm afraid Alsee's method includes all kinds of administrative tasks that are neither code nor VE edits (yet are not marked by any special tag), such as rolling back vandalisms and bad edits (which happens a lot on pl.wiki since we have reviewed versions on), code cleanup scripts, adding categories using HotCat (enabled by default on pl.wiki), semi-bot edits and perhaps a plethora of others.

That is not correct. Quantitative analysis tells you what happened, and qualitative analysis tells you why it happened. One cannot reliably infer user intent from quantitative data.

Especially that Alsee misinterpreted how single edit tab works, since anonymous editors (at least on Polish wiki) are given the choice to pick either one of the editors. They have to purposedly click on either one in order to pick it. They're not being tricked into doing that, nobody choses that for them. It's their own choice. Whether it's an informed decision is another matter completely, but still: it's a single window with two options.

Alsee added a comment.Jun 3 2017, 1:20 AM

(Polish VE statistics)

Interesting. I would've expected that to be higher. Did you remove all the confounding factors when producing these statistics?

I listed the settings I used. I made a good faith effort to filter out confounding factors and maximize the VE percentage. Any other factors would only shift the results by a few points. The results are clear enough that fussing over a few percent won't alter the conclusions.

It is clear that much of that 43% IP VE edits are new users who have not yet discovered they can switch out of VE, and they they are switching out of VE en-mass as they discover how to do so.

That is not correct. Quantitative analysis tells you what happened, and qualitative analysis tells you why it happened. One cannot reliably infer user intent from quantitative data.

Maybe I didn't sufficiently explain the reasoning?

On English Wiki ~2.5% of IP edits are made using VE. This closely matches the usage of VE by registered editors.
On Polish Wiki ~43% of IP edits are made using VE. This does not remotely resemble the ~6% VE usage by registered editors.

There is an obvious factor that explains that stark difference. On English Wiki, the "Continue" button leads to Wikitext. On Polish Wiki the "Continue" button leads to VE. A brand new user has never seen VE or Wikitext before. They can't (and haven't) made any meaningful choice about editors they've never seen. Any statistics from users who haven't yet tried both editors is purely the result of the design of the pre-editor interface!

The user clicks the EDIT link to try editing for the first time. At this point they get a popup blocking the page, an obstacle that they want to get rid of. The popup has two buttons. Like many internet popups, there's an obvious default option on the right that simply makes it "go away". That button is labeled with exactly what they are trying to do: "Continue Editing". The other button says "Switch...". They have no idea what it would switch to. They have no idea why they would ever click it. That button may as well be written in Klingon.

I hope we can agree with the obvious "qualitative" knowledge that close to 100% of brand new users will click the "Continue Editing" button, and that it deceptively inflates the percentages for that default. In this case it seems the pre-inflation natural base is somewhere around 6%. The ~6% VE rate for registered editors shows that new users overwhelmingly end up choosing Wikitext once the're familiar with both.

You suggested that the 43% figure might be higher under a different examination of the data. Even at 70%, it would be dubious whether half of users who had tried both were choosing VE. People rarely move out of any default they are given. When a majority move away from a default that screams the default is wildly wrong.

No one has made any affirmative case for maintaining the VE-primary setting. I think I've made a sufficient case that Wikitext-primary is what most new&experienced users want. I think it's clear what a formal community consensus is going to be. I was really really hoping the WMF would be collaboratively-willing to fix this. I was hoping we could skip the unpleasant RFCs-with-obvious-outcomes step.

This stealth-deployment of a VE-default for IP and all new users rises to the level of disruptive.

That is not helpful. We are all here to contribute to the movement. If you attack people like this, they will be less likely to engage with you in the future.

I was being polite. @Deskana, from what I have seen the Discovery department has been doing an excellent job working with the community in collaborative good faith. Not all departments have done the same. You may not be familiar with the full history here, but the handling of SingleEditTab was atrocious from beginning to end. That makes the community less likely to engage with you in the future. When we can't constructively engage the WMF, we have resort to solving problems from our end. Then we have to start writing patches for the sitewide javascript to override the server code. That's not good. We should not have gotten to that point.

Deskana closed this task as Declined.Jun 3 2017, 11:19 AM

I listed the settings I used. I made a good faith effort to filter out confounding factors and maximize the VE percentage. Any other factors would only shift the results by a few points. The results are clear enough that fussing over a few percent won't alter the conclusions.

Undoubtedly a good faith effort, yes. However, there are severe flaws in your methodology which makes your analysis and conclusion invalid. Good faith does not make your analysis any less incorrect.

You did not account for platforms where VisualEditor is unavailable, or is not the default. You did not perform any deduplication of contributors to avoid dataset pollution. You did not account for edits that were not completed. You did not account for old browsers that we no longer serve JavaScript to. You did not account for browsers that do not have JavaScript. You did not account for users that have disabled JavaScript in their browsers. You also cannot assert that these factors only account for "a few percent" without actually analysing the data for their prevalence. There are, undoubtedly, also other confounding factors that I have missed that someone who is more adept at data science than I would be able to find.

I'm sorry to be blunt, but your data, and the conclusions you drew from it, are completely invalid. It is incredibly easy to generate bogus conclusions from data, which is why we hire data analysts that are experts in scientific methods and experimentation.

Given the above, the data you have presented does not support your conclusion or your recommendation.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptJun 3 2017, 11:19 AM
Alsee added a comment.Jun 3 2017, 11:00 PM

@Deskana thank you for closing this. Prior to seeing you had closed this, I had also come to the conclusion that continued individual-debate here had become an unproductive time sink for everyone involved.

I will go to communities and seek formal consensus on what their desired configuration is. If they are happy with VE-Primary, I will of course not bother you with this any more. If any communities reach consensus for Wikitext-primary then I will return here and re-open this task to report and resolve them. If initial results are in favor of this change, I will seek further international consensus on the subject until either the community wants VE-Primary or the global task is successfully resolved. I'm sorry we were unable to find a more collaborative resolution. I apologize for not opening RFCs sooner.

This may sound odd, but I very much hope you and the others here expect me to fail. I hope you expect the RFC results will turn out in favor of VE-Primary.
It's seriously bad if anyone at the WMF expects consensus for Wikitext-primary, and they were deliberately acting in bad faith against the community.

Alsee, I see you're on a mission. Sure, go ahead, be bold and whatever. Whether you succeed or fail doesn't really bother me. But wouldn't it be better if we had better stats to base our decisions on before you start? You have flawed data. Wouldn't it be better to wait a second before more reliable data is available? It might prove your point after all.

See also T166877.

Alsee added a comment.Jun 9 2017, 5:34 PM

Halibutt I'd welcome better data, but so far no one has been offering any. The community has abundant collective real-world experience, and I believe most people will find the available data to be sufficiently clear despite the imperfections.